## mingw-w64-openturns-1.24-5.src.tar.zst

=== lib/src/Base/Solver/CMakeLists.txt ===
#                                               -*- cmake -*-

# Register current directory files
ot_add_current_dir_to_include_dirs ()

ot_add_source_file (Solver.cxx)
ot_add_source_file (SolverImplementation.cxx)
ot_add_source_file (Bisection.cxx)
ot_add_source_file (Secant.cxx)
ot_add_source_file (Brent.cxx)
ot_add_source_file (ODESolver.cxx)
ot_add_source_file (ODESolverImplementation.cxx)
ot_add_source_file (RungeKutta.cxx)
ot_add_source_file (Fehlberg.cxx)

ot_install_header_file (Brent.hxx)
ot_install_header_file (Bisection.hxx)
ot_install_header_file (Secant.hxx)
ot_install_header_file (SolverImplementation.hxx)
ot_install_header_file (Solver.hxx)
ot_install_header_file (ODESolver.hxx)
ot_install_header_file (ODESolverImplementation.hxx)
ot_install_header_file (RungeKutta.hxx)
ot_install_header_file (Fehlberg.hxx)
ot_install_header_file (OTSolver.hxx)

=== lib/src/Uncertainty/Bayesian/CMakeLists.txt ===
#                                               -*- cmake -*-

# Register current directory files
ot_add_current_dir_to_include_dirs ()

ot_add_source_file (GaussianLinearCalibration.cxx)
ot_add_source_file (CalibrationAlgorithm.cxx)
ot_add_source_file (CalibrationAlgorithmImplementation.cxx)
ot_add_source_file (CalibrationResult.cxx)
ot_add_source_file (LinearLeastSquaresCalibration.cxx)
ot_add_source_file (MetropolisHastingsImplementation.cxx)
ot_add_source_file (NonLinearLeastSquaresCalibration.cxx)
ot_add_source_file (RandomWalkMetropolisHastings.cxx)
ot_add_source_file (IndependentMetropolisHastings.cxx)
ot_add_source_file (UserDefinedMetropolisHastings.cxx)
ot_add_source_file (RandomVectorMetropolisHastings.cxx)
ot_add_source_file (GaussianNonLinearCalibration.cxx)
ot_add_source_file (MetropolisHastings.cxx)
ot_add_source_file (Gibbs.cxx)

ot_install_header_file (OTBayesian.hxx)
ot_install_header_file (GaussianLinearCalibration.hxx)
ot_install_header_file (CalibrationAlgorithm.hxx)
ot_install_header_file (CalibrationAlgorithmImplementation.hxx)
ot_install_header_file (CalibrationResult.hxx)
ot_install_header_file (LinearLeastSquaresCalibration.hxx)
ot_install_header_file (MetropolisHastingsImplementation.hxx)
ot_install_header_file (NonLinearLeastSquaresCalibration.hxx)
ot_install_header_file (RandomVectorMetropolisHastings.hxx)
ot_install_header_file (RandomWalkMetropolisHastings.hxx)
ot_install_header_file (IndependentMetropolisHastings.hxx)
ot_install_header_file (UserDefinedMetropolisHastings.hxx)
ot_install_header_file (GaussianNonLinearCalibration.hxx)
ot_install_header_file (MetropolisHastings.hxx)
ot_install_header_file (Gibbs.hxx)

=== lib/src/Uncertainty/Distribution/CMakeLists.txt ===
#                                               -*- cmake -*-

# Register current directory files
ot_add_current_dir_to_include_dirs ()

ot_add_source_file (AliMikhailHaqCopula.cxx)
ot_add_source_file (AliMikhailHaqCopulaFactory.cxx)
ot_add_source_file (Arcsine.cxx)
ot_add_source_file (ArcsineFactory.cxx)
ot_add_source_file (ArcsineMuSigma.cxx)
ot_add_source_file (Bernoulli.cxx)
ot_add_source_file (BernoulliFactory.cxx)
ot_add_source_file (BernsteinCopulaFactory.cxx)
ot_add_source_file (Beta.cxx)
ot_add_source_file (BetaFactory.cxx)
ot_add_source_file (BetaMuSigma.cxx)
ot_add_source_file (Binomial.cxx)
ot_add_source_file (BinomialFactory.cxx)
ot_add_source_file (BlockIndependentCopula.cxx)
ot_add_source_file (BlockIndependentDistribution.cxx)
ot_add_source_file (Burr.cxx)
ot_add_source_file (BurrFactory.cxx)
ot_add_source_file (Chi.cxx)
ot_add_source_file (ChiFactory.cxx)
ot_add_source_file (ChiSquare.cxx)
ot_add_source_file (ChiSquareFactory.cxx)
ot_add_source_file (ClaytonCopula.cxx)
ot_add_source_file (ClaytonCopulaFactory.cxx)
ot_add_source_file (CompositeDistribution.cxx)
ot_add_source_file (DeconditionedDistribution.cxx)
ot_add_source_file (PointConditionalDistribution.cxx)
ot_add_source_file (CumulativeDistributionNetwork.cxx)
ot_add_source_file (Dirac.cxx)
ot_add_source_file (DiracFactory.cxx)
ot_add_source_file (Dirichlet.cxx)
ot_add_source_file (DirichletFactory.cxx)
ot_add_source_file (DiscreteCompoundDistribution.cxx)
ot_add_source_file (DistFunc.cxx)
ot_add_source_file (EmpiricalBernsteinCopula.cxx)
ot_add_source_file (Epanechnikov.cxx)
ot_add_source_file (Exponential.cxx)
ot_add_source_file (ExponentialFactory.cxx)
ot_add_source_file (ExtremeValueCopula.cxx)
ot_add_source_file (JoeCopula.cxx)
ot_add_source_file (FarlieGumbelMorgensternCopula.cxx)
ot_add_source_file (FarlieGumbelMorgensternCopulaFactory.cxx)
ot_add_source_file (FisherSnedecor.cxx)
ot_add_source_file (FisherSnedecorFactory.cxx)
ot_add_source_file (FrankCopula.cxx)
ot_add_source_file (FrankCopulaFactory.cxx)
ot_add_source_file (Frechet.cxx)
ot_add_source_file (FrechetFactory.cxx)
ot_add_source_file (GalambosCopula.cxx)
ot_add_source_file (Gamma.cxx)
ot_add_source_file (GammaFactory.cxx)
ot_add_source_file (GammaMuSigma.cxx)
ot_add_source_file (GeneralizedExtremeValue.cxx)
ot_add_source_file (GeneralizedExtremeValueFactory.cxx)
ot_add_source_file (GeneralizedExtremeValueValidation.cxx)
ot_add_source_file (DistributionFactoryLikelihoodResult.cxx)
ot_add_source_file (ProfileLikelihoodResult.cxx)
ot_add_source_file (TimeVaryingResult.cxx)
ot_add_source_file (CovariatesResult.cxx)
ot_add_source_file (GeneralizedPareto.cxx)
ot_add_source_file (GeneralizedParetoFactory.cxx)
ot_add_source_file (GeneralizedParetoValidation.cxx)
ot_add_source_file (Geometric.cxx)
ot_add_source_file (GeometricFactory.cxx)
ot_add_source_file (GumbelCopula.cxx)
ot_add_source_file (GumbelCopulaFactory.cxx)
ot_add_source_file (Gumbel.cxx)
ot_add_source_file (GumbelFactory.cxx)
ot_add_source_file (GumbelLambdaGamma.cxx)
ot_add_source_file (GumbelMuSigma.cxx)
ot_add_source_file (Histogram.cxx)
ot_add_source_file (HistogramFactory.cxx)
ot_add_source_file (Hypergeometric.cxx)
ot_add_source_file (IndependentCopula.cxx)
ot_add_source_file (IndependentCopulaFactory.cxx)
ot_add_source_file (InverseChiSquare.cxx)
ot_add_source_file (InverseGamma.cxx)
ot_add_source_file (InverseNormal.cxx)
ot_add_source_file (InverseNormalFactory.cxx)
ot_add_source_file (InverseWishart.cxx)
ot_add_source_file (JointByConditioningDistribution.cxx)
ot_add_source_file (JointDistribution.cxx)
ot_add_source_file (KFactorFunctions.cxx)
ot_add_source_file (KPermutationsDistribution.cxx)
ot_add_source_file (KernelMixture.cxx)
ot_add_source_file (KernelSmoothing.cxx)
ot_add_source_file (KolmogorovFunctions.cxx)

# borrowed from https://github.com/scipy/scipy/tree/main/scipy/special/special/cephes
ot_add_build_dir_to_include_dirs(${CMAKE_CURRENT_SOURCE_DIR}/cephes)

ot_add_source_file (Laplace.cxx)
ot_add_source_file (LaplaceFactory.cxx)
ot_add_source_file (LeastSquaresDistributionFactory.cxx)
ot_add_source_file (Logistic.cxx)
ot_add_source_file (LogisticFactory.cxx)
ot_add_source_file (LogNormal.cxx)
ot_add_source_file (LogNormalFactory.cxx)
ot_add_source_file (LogNormalMuErrorFactor.cxx)
ot_add_source_file (LogNormalMuSigma.cxx)
ot_add_source_file (LogNormalMuSigmaOverMu.cxx)
ot_add_source_file (LogUniform.cxx)
ot_add_source_file (LogUniformFactory.cxx)
ot_add_source_file (MarshallOlkinCopula.cxx)
ot_add_source_file (MarginalDistribution.cxx)
ot_add_source_file (MaximumDistribution.cxx)
ot_add_source_file (MaximumEntropyOrderStatisticsDistribution.cxx)
ot_add_source_file (MaximumEntropyOrderStatisticsCopula.cxx)
ot_add_source_file (MaximumLikelihoodFactory.cxx)
ot_add_source_file (MeixnerDistribution.cxx)
ot_add_source_file (MeixnerDistributionFactory.cxx)
ot_add_source_file (MethodOfMomentsFactory.cxx)
ot_add_source_file (MinCopula.cxx)
ot_add_source_file (MixedHistogramUserDefined.cxx)
ot_add_source_file (Mixture.cxx)
ot_add_source_file (Multinomial.cxx)
ot_add_source_file (MultinomialFactory.cxx)
ot_add_source_file (Polya.cxx)
ot_add_source_file (PolyaFactory.cxx)
ot_add_source_file (NonCentralChiSquare.cxx)
ot_add_source_file (NonCentralStudent.cxx)
ot_add_source_file (Normal2DCDF.cxx)
ot_add_source_file (Normal3DCDF.cxx)
ot_add_source_file (NormalCopula.cxx)
ot_add_source_file (NormalCopulaFactory.cxx)
ot_add_source_file (Normal.cxx)
ot_add_source_file (NormalFactory.cxx)
ot_add_source_file (NormalGamma.cxx)
ot_add_source_file (OrderStatisticsMarginalChecker.cxx)
ot_add_source_file (OrdinalSumCopula.cxx)
ot_add_source_file (ParametrizedDistribution.cxx)
ot_add_source_file (Pareto.cxx)
ot_add_source_file (ParetoFactory.cxx)
ot_add_source_file (PlackettCopula.cxx)
ot_add_source_file (PlackettCopulaFactory.cxx)
ot_add_source_file (Poisson.cxx)
ot_add_source_file (PoissonFactory.cxx)
ot_add_source_file (PosteriorDistribution.cxx)
ot_add_source_file (ProductDistribution.cxx)
ot_add_source_file (QuantileMatchingFactory.cxx)
ot_add_source_file (RandomMixture.cxx)
ot_add_source_file (RatioDistribution.cxx)
ot_add_source_file (Rayleigh.cxx)
ot_add_source_file (RayleighFactory.cxx)
ot_add_source_file (Rice.cxx)
ot_add_source_file (RiceFactory.cxx)
ot_add_source_file (Skellam.cxx)
ot_add_source_file (SkellamFactory.cxx)
ot_add_source_file (SmoothedUniform.cxx)
ot_add_source_file (SmoothedUniformFactory.cxx)
ot_add_source_file (SquaredNormal.cxx)
ot_add_source_file (Student.cxx)
ot_add_source_file (StudentCopula.cxx)
ot_add_source_file (StudentCopulaFactory.cxx)
ot_add_source_file (StudentFunctions.cxx)
ot_add_source_file (StudentFactory.cxx)
ot_add_source_file (Trapezoidal.cxx)
ot_add_source_file (TrapezoidalFactory.cxx)
ot_add_source_file (Triangular.cxx)
ot_add_source_file (TriangularFactory.cxx)
ot_add_source_file (TruncatedDistribution.cxx)
ot_add_source_file (TruncatedNormal.cxx)
ot_add_source_file (TruncatedNormalFactory.cxx)
ot_add_source_file (TruncatedOverMesh.cxx)
ot_add_source_file (Uniform.cxx)
ot_add_source_file (UniformOverMesh.cxx)
ot_add_source_file (UniformOrderStatistics.cxx)
ot_add_source_file (UniformFactory.cxx)
ot_add_source_file (UniformMuSigma.cxx)
ot_add_source_file (UserDefined.cxx)
ot_add_source_file (UserDefinedFactory.cxx)
ot_add_source_file (VonMises.cxx)
ot_add_source_file (VonMisesFactory.cxx)
ot_add_source_file (WeibullMax.cxx)
ot_add_source_file (WeibullMaxFactory.cxx)
ot_add_source_file (WeibullMaxMuSigma.cxx)
ot_add_source_file (WeibullMin.cxx)
ot_add_source_file (WeibullMinFactory.cxx)
ot_add_source_file (WeibullMinMuSigma.cxx)
ot_add_source_file (Wishart.cxx)
ot_add_source_file (ZipfMandelbrot.cxx)

ot_install_header_file (AliMikhailHaqCopula.hxx)
ot_install_header_file (AliMikhailHaqCopulaFactory.hxx)
ot_install_header_file (Arcsine.hxx)
ot_install_header_file (ArcsineFactory.hxx)
ot_install_header_file (ArcsineMuSigma.hxx)
ot_install_header_file (Bernoulli.hxx)
ot_install_header_file (BernoulliFactory.hxx)
ot_install_header_file (BernsteinCopulaFactory.hxx)
ot_install_header_file (Beta.hxx)
ot_install_header_file (BetaFactory.hxx)
ot_install_header_file (BetaMuSigma.hxx)
ot_install_header_file (Binomial.hxx)
ot_install_header_file (BinomialFactory.hxx)
ot_install_header_file (BlockIndependentCopula.hxx)
ot_install_header_file (BlockIndependentDistribution.hxx)
ot_install_header_file (Burr.hxx)
ot_install_header_file (BurrFactory.hxx)
ot_install_header_file (Chi.hxx)
ot_install_header_file (ChiFactory.hxx)
ot_install_header_file (ChiSquare.hxx)
ot_install_header_file (ChiSquareFactory.hxx)
ot_install_header_file (ClaytonCopula.hxx)
ot_install_header_file (ClaytonCopulaFactory.hxx)
ot_install_header_file (CompositeDistribution.hxx)
ot_install_header_file (DeconditionedDistribution.hxx)
ot_install_header_file (PointConditionalDistribution.hxx)
ot_install_header_file (CumulativeDistributionNetwork.hxx)
ot_install_header_file (DiracFactory.hxx)
ot_install_header_file (Dirac.hxx)
ot_install_header_file (DirichletFactory.hxx)
ot_install_header_file (Dirichlet.hxx)
ot_install_header_file (DiscreteCompoundDistribution.hxx)
ot_install_header_file (DistFunc.hxx)
ot_install_header_file (EmpiricalBernsteinCopula.hxx)
ot_install_header_file (Epanechnikov.hxx)
ot_install_header_file (ExponentialFactory.hxx)
ot_install_header_file (Exponential.hxx)
ot_install_header_file (ExtremeValueCopula.hxx)
ot_install_header_file (JoeCopula.hxx)
ot_install_header_file (FarlieGumbelMorgensternCopula.hxx)
ot_install_header_file (FarlieGumbelMorgensternCopulaFactory.hxx)
ot_install_header_file (FisherSnedecor.hxx)
ot_install_header_file (FisherSnedecorFactory.hxx)
ot_install_header_file (FrankCopula.hxx)
ot_install_header_file (FrankCopulaFactory.hxx)
ot_install_header_file (Frechet.hxx)
ot_install_header_file (FrechetFactory.hxx)
ot_install_header_file (GalambosCopula.hxx)
ot_install_header_file (GammaFactory.hxx)
ot_install_header_file (Gamma.hxx)
ot_install_header_file (GammaMuSigma.hxx)
ot_install_header_file (GeneralizedExtremeValue.hxx)
ot_install_header_file (GeneralizedExtremeValueFactory.hxx)
ot_install_header_file (GeneralizedExtremeValueValidation.hxx)
ot_install_header_file (DistributionFactoryLikelihoodResult.hxx)
ot_install_header_file (ProfileLikelihoodResult.hxx)
ot_install_header_file (TimeVaryingResult.hxx)
ot_install_header_file (CovariatesResult.hxx)
ot_install_header_file (GeneralizedPareto.hxx)
ot_install_header_file (GeneralizedParetoFactory.hxx)
ot_install_header_file (GeneralizedParetoValidation.hxx)
ot_install_header_file (GeometricFactory.hxx)
ot_install_header_file (Geometric.hxx)
ot_install_header_file (GumbelCopulaFactory.hxx)
ot_install_header_file (GumbelCopula.hxx)
ot_install_header_file (GumbelFactory.hxx)
ot_install_header_file (Gumbel.hxx)
ot_install_header_file (GumbelLambdaGamma.hxx)
ot_install_header_file (GumbelMuSigma.hxx)
ot_install_header_file (HistogramFactory.hxx)
ot_install_header_file (Histogram.hxx)
ot_install_header_file (Hypergeometric.hxx)
ot_install_header_file (IndependentCopula.hxx)
ot_install_header_file (IndependentCopulaFactory.hxx)
ot_install_header_file (InverseChiSquare.hxx)
ot_install_header_file (InverseGamma.hxx)
ot_install_header_file (InverseNormal.hxx)
ot_install_header_file (InverseNormalFactory.hxx)
ot_install_header_file (InverseWishart.hxx)
ot_install_header_file (JointByConditioningDistribution.hxx)
ot_install_header_file (JointDistribution.hxx)
ot_install_header_file (KFactorFunctions.hxx)
ot_install_header_file (KPermutationsDistribution.hxx)
ot_install_header_file (KernelMixture.hxx)
ot_install_header_file (KernelSmoothing.hxx)
ot_install_header_file (LaplaceFactory.hxx)
ot_install_header_file (Laplace.hxx)
ot_install_header_file (LeastSquaresDistributionFactory.hxx)
ot_install_header_file (LogisticFactory.hxx)
ot_install_header_file (Logistic.hxx)
ot_install_header_file (LogNormalFactory.hxx)
ot_install_header_file (LogNormal.hxx)

=== lib/src/Uncertainty/Algorithm/Simulation/CMakeLists.txt ===
#                                               -*- cmake -*-

# Register current directory files
ot_add_current_dir_to_include_dirs ()

ot_add_source_file (SimulationAlgorithm.cxx)
ot_add_source_file (ProbabilitySimulationResult.cxx)
ot_add_source_file (SimulationResult.cxx)
ot_add_source_file (SimulationSensitivityAnalysis.cxx)
ot_add_source_file (PostAnalyticalSimulation.cxx)
ot_add_source_file (EventSimulation.cxx)
ot_add_source_file (DirectionalSampling.cxx)
ot_add_source_file (RootStrategy.cxx)
ot_add_source_file (RootStrategyImplementation.cxx)
ot_add_source_file (RiskyAndFast.cxx)
ot_add_source_file (MediumSafe.cxx)
ot_add_source_file (SafeAndSlow.cxx)
ot_add_source_file (SamplingStrategy.cxx)
ot_add_source_file (SamplingStrategyImplementation.cxx)
ot_add_source_file (RandomDirection.cxx)
ot_add_source_file (OrthogonalDirection.cxx)
ot_add_source_file (PostAnalyticalControlledImportanceSampling.cxx)
ot_add_source_file (PostAnalyticalImportanceSampling.cxx)
ot_add_source_file (Wilks.cxx)
ot_add_source_file (SubsetSamplingResult.cxx)
ot_add_source_file (SubsetSampling.cxx)
ot_add_source_file (QuadrantSampling.cxx)
ot_add_source_file (AdaptiveDirectionalStratification.cxx)
ot_add_source_file (ProbabilitySimulationAlgorithm.cxx)
ot_add_source_file (ExpectationSimulationAlgorithm.cxx)
ot_add_source_file (ExpectationSimulationResult.cxx)
ot_add_source_file (SobolSimulationAlgorithm.cxx)
ot_add_source_file (SobolSimulationResult.cxx)
ot_add_source_file (NAISResult.cxx)
ot_add_source_file (NAIS.cxx)
ot_add_source_file (CrossEntropyResult.cxx)
ot_add_source_file (CrossEntropyImportanceSampling.cxx)
ot_add_source_file (StandardSpaceCrossEntropyImportanceSampling.cxx)
ot_add_source_file (PhysicalSpaceCrossEntropyImportanceSampling.cxx)

ot_install_header_file (SimulationAlgorithm.hxx)
ot_install_header_file (Wilks.hxx)
ot_install_header_file (RootStrategyImplementation.hxx)
ot_install_header_file (SamplingStrategy.hxx)
ot_install_header_file (PostAnalyticalControlledImportanceSampling.hxx)
ot_install_header_file (SimulationResult.hxx)
ot_install_header_file (RiskyAndFast.hxx)
ot_install_header_file (RandomDirection.hxx)
ot_install_header_file (OrthogonalDirection.hxx)
ot_install_header_file (PostAnalyticalImportanceSampling.hxx)
ot_install_header_file (ProbabilitySimulationResult.hxx)
ot_install_header_file (SimulationSensitivityAnalysis.hxx)
ot_install_header_file (DirectionalSampling.hxx)
ot_install_header_file (RootStrategy.hxx)
ot_install_header_file (SafeAndSlow.hxx)
ot_install_header_file (SamplingStrategyImplementation.hxx)
ot_install_header_file (OTSimulation.hxx)
ot_install_header_file (PostAnalyticalSimulation.hxx)
ot_install_header_file (MediumSafe.hxx)
ot_install_header_file (EventSimulation.hxx)
ot_install_header_file (SubsetSamplingResult.hxx)
ot_install_header_file (SubsetSampling.hxx)
ot_install_header_file (QuadrantSampling.hxx)
ot_install_header_file (AdaptiveDirectionalStratification.hxx)
ot_install_header_file (ProbabilitySimulationAlgorithm.hxx)
ot_install_header_file (ExpectationSimulationAlgorithm.hxx)
ot_install_header_file (ExpectationSimulationResult.hxx)
ot_install_header_file (SobolSimulationAlgorithm.hxx)
ot_install_header_file (SobolSimulationResult.hxx)
ot_install_header_file (NAISResult.hxx)
ot_install_header_file (NAIS.hxx)
ot_install_header_file (CrossEntropyResult.hxx)
ot_install_header_file (CrossEntropyImportanceSampling.hxx)
ot_install_header_file (StandardSpaceCrossEntropyImportanceSampling.hxx)
ot_install_header_file (PhysicalSpaceCrossEntropyImportanceSampling.hxx)

=== lib/src/Uncertainty/Algorithm/Transformation/NatafIndependentCopula/CMakeLists.txt ===
#                                               -*- cmake -*-

# Register current directory files
ot_add_current_dir_to_include_dirs ()

ot_add_source_file (NatafIndependentCopulaEvaluation.cxx)
ot_add_source_file (NatafIndependentCopulaGradient.cxx)
ot_add_source_file (NatafIndependentCopulaHessian.cxx)
ot_add_source_file (InverseNatafIndependentCopulaEvaluation.cxx)
ot_add_source_file (InverseNatafIndependentCopulaGradient.cxx)
ot_add_source_file (InverseNatafIndependentCopulaHessian.cxx)

ot_install_header_file (NatafIndependentCopulaGradient.hxx)
ot_install_header_file (InverseNatafIndependentCopulaEvaluation.hxx)
ot_install_header_file (InverseNatafIndependentCopulaHessian.hxx)
ot_install_header_file (OTNatafIndependentCopula.hxx)
ot_install_header_file (NatafIndependentCopulaHessian.hxx)
ot_install_header_file (NatafIndependentCopulaEvaluation.hxx)
ot_install_header_file (InverseNatafIndependentCopulaGradient.hxx)

=== PKGBUILD ===
# Contributor: Mehdi Chinoune <mehdi.chinoune@hotmail.com>

_realname=openturns
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=1.24
pkgrel=5
pkgdesc="Uncertainty treatment library (mingw-w64)"
arch=(any)
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://openturns.github.io/www"
msys2_repository_url="https://github.com/openturns/openturns"
msys2_references=(
  'aur: openturns'
)
license=('spdx:LGPL-3.0-only')
depends=("${MINGW_PACKAGE_PREFIX}-cc-libs"
         "${MINGW_PACKAGE_PREFIX}-ceres-solver"
         "${MINGW_PACKAGE_PREFIX}-glog"
         "${MINGW_PACKAGE_PREFIX}-hdf5"
         "${MINGW_PACKAGE_PREFIX}-libxml2"
         "${MINGW_PACKAGE_PREFIX}-libwinpthread"
         "${MINGW_PACKAGE_PREFIX}-mpc"
         "${MINGW_PACKAGE_PREFIX}-mpfr"
         "${MINGW_PACKAGE_PREFIX}-muparser"
         "${MINGW_PACKAGE_PREFIX}-nlopt"
         "${MINGW_PACKAGE_PREFIX}-openblas"
         "${MINGW_PACKAGE_PREFIX}-omp"
         "${MINGW_PACKAGE_PREFIX}-python"
         "${MINGW_PACKAGE_PREFIX}-python-dill"
         "${MINGW_PACKAGE_PREFIX}-python-psutil"
         "${MINGW_PACKAGE_PREFIX}-tbb")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-boost"
             "${MINGW_PACKAGE_PREFIX}-spectra"
             "${MINGW_PACKAGE_PREFIX}-swig")
source=("https://github.com/openturns/openturns/archive/v${pkgver}/${_realname}-${pkgver}.tar.gz"
        "001-fix-default-site-packages.patch")
sha256sums=('6c5232b4daf0b93fbc49dee45299ade2c2c16d44476700e7689af6b50c999f57'
            'f3795c535aee543e6895bb033647ac87e9038e51b8cb202cb34696f2529cbde2')

prepare() {
  cd "${srcdir}"/${_realname}-${pkgver}
  # https://github.com/openturns/openturns/pull/2005
  patch -p1 -i "${srcdir}"/001-fix-default-site-packages.patch
}

build() {
  mkdir -p "${srcdir}"/build-${MSYSTEM} && cd "${srcdir}"/build-${MSYSTEM}

  local -a _extra_config
  if check_option "debug" "n"; then
    _extra_config+=("-DCMAKE_BUILD_TYPE=Release")
  else
    _extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
  fi

  CXXFLAGS+=" -Wno-deprecated-declarations" \
  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=;-DOPENTURNS_DOC_PATH=" \
  ${MINGW_PREFIX}/bin/cmake.exe -Wno-dev \
    -G"Ninja" \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    -DCMAKE_DLL_NAME_WITH_SOVERSION=ON \
    -DOPENTURNS_DOC_PATH=${MINGW_PREFIX}/share/licenses/${_realname} \
    -DPython_EXECUTABLE=${MINGW_PREFIX}/bin/python \
    -DUSE_SPHINX=OFF \
    "${_extra_config[@]}" \
    ../${_realname}-${pkgver}

  ${MINGW_PREFIX}/bin/cmake --build .
}

package() {
  cd "${srcdir}"/build-${MSYSTEM}
  DESTDIR="$pkgdir" ${MINGW_PREFIX}/bin/cmake --install .

  MSYS2_ARG_CONV_EXCL="-p" python -m compileall \
    -o 0 -o 1 -q -s"${pkgdir}" -p"/" "${pkgdir}${MINGW_PREFIX}/lib/python"*

  local PREFIX_MINGW=$(cygpath -am ${MINGW_PREFIX})
  sed -s "s|${PREFIX_MINGW}|\${PACKAGE_PREFIX_DIR}|g" \
    -i "$pkgdir${MINGW_PREFIX}/lib/cmake/${_realname}/OpenTURNSConfig.cmake"
  find "$pkgdir${MINGW_PREFIX}/lib/cmake/${_realname}" -name '*.cmake' -exec \
    sed -s "s|${PREFIX_MINGW}|\$\{_IMPORT_PREFIX\}|g" -i {} \;

  local PREFIX_MSYS2=$(cygpath -am /)
  sed -s "s|${PREFIX_MSYS2::-1}||g" \
    -i "$pkgdir${MINGW_PREFIX}/lib/cmake/${_realname}/OpenTURNSConfig.cmake"
}
